/* ==========================
   RESET
========================== */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    scroll-behavior:smooth;
}

body{
    font-family:'Poppins',sans-serif;
    background:#c7f4ff;
    color:#222;
    overflow-x:hidden;
}

/* ==========================
BACKGROUND
========================== */

body::before{
    content:"";
    position:fixed;
    inset:0;
    background:
    radial-gradient(circle at top left,#9d8cff55 0 130px,transparent 130px),
    radial-gradient(circle at bottom right,#9d8cff55 0 130px,transparent 130px);
    z-index:-2;
}

/* Garis dekorasi */

body::after{
    content:"";
    position:fixed;
    inset:0;
    background-image:
    linear-gradient(45deg,transparent 49%,#ff4db844 50%,transparent 51%),
    linear-gradient(-45deg,transparent 49%,#00c2ff44 50%,transparent 51%);
    background-size:260px 260px;
    opacity:.35;
    z-index:-1;
}

/* ==========================
NAVBAR
========================== */

header{

    width:100%;
    position:fixed;
    top:0;
    left:0;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:18px 8%;

    background:#4d64ff;
    color:white;

    z-index:999;
}

.logo h2{

    font-size:22px;

}

nav{

    display:flex;
    gap:25px;

}

nav a{

    color:white;

    text-decoration:none;

    font-weight:500;

    transition:.3s;

}

nav a:hover{

    color:#ffe600;

}

/* ==========================
HOME
========================== */

.hero{

    min-height:100vh;

    display:flex;

    justify-content:space-between;

    align-items:center;

    padding:120px 8%;

    gap:40px;

}

.hero-text{

    width:55%;

}

.hero-text h3{

    font-size:34px;

    color:#23326b;

    margin-bottom:10px;

}

.hero-text h1{

    font-size:48px;

    color:white;

    text-shadow:2px 2px 5px rgba(0,0,0,.2);

    margin-bottom:15px;

}

.hero-text h2{

    font-size:35px;

    color:#27346c;

}

.hero-text p{

    font-size:28px;

    margin-top:10px;

    color:#27346c;

}

/* tombol */

.btn{

    display:inline-block;

    margin-top:35px;

    padding:14px 34px;

    background:#4d64ff;

    color:white;

    text-decoration:none;

    border-radius:30px;

    transition:.3s;

}

.btn:hover{

    background:#23326b;

    transform:translateY(-5px);

}

/* FOTO */

.hero-img{

    width:40%;

    display:flex;

    justify-content:center;

}

.hero-img img{
    width:220px;      /* ubah dari 320 menjadi 250 */
    height:220px;
    object-fit:cover;
    border-radius:20px;
    box-shadow:0 10px 30px rgba(0,0,0,.2);
}
/* ==========================
SECTION
========================== */

section{

    padding:90px 8%;

}

section h2{

    font-size:36px;

    color:white;

    text-shadow:2px 2px 4px rgba(0,0,0,.2);

    margin-bottom:25px;

}

section p{

    font-size:18px;

    line-height:1.8;

}

/* Card */

.card{

    background:white;

    padding:25px;

    border-radius:15px;

    margin-top:20px;

    box-shadow:0 8px 20px rgba(0,0,0,.1);

    transition:.3s;

}

.card:hover{

    transform:translateY(-8px);

}
/* ==========================
TENTANG SAYA
========================== */

#tentang{
    padding:100px 8%;
}

#tentang p{
    font-size:18px;
    color:#333;
    line-height:1.8;
    text-align:justify;
    margin-bottom:30px;
}

/* Kotak Tentang */

#tentang .content{
    background:rgba(255,255,255,.75);
    border:2px solid #3b4f9f;
    border-radius:18px;
    padding:35px;
    box-shadow:0 10px 25px rgba(0,0,0,.12);
}

/* ==========================
KEAHLIAN
========================== */

.keahlian{
    margin-top:40px;
}

.keahlian h3{

    font-size:28px;

    color:white;

    margin-bottom:20px;

    text-shadow:2px 2px 5px rgba(0,0,0,.2);

}

/* List Keahlian */

.keahlian ul{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:15px;

    list-style:none;

}

.keahlian ul li{

    background:white;

    border-left:6px solid #4d64ff;

    padding:15px 20px;

    border-radius:12px;

    font-size:18px;

    font-weight:500;

    transition:.3s;

    box-shadow:0 5px 15px rgba(0,0,0,.1);

}

/* Hover */

.keahlian ul li:hover{

    background:#4d64ff;

    color:white;

    transform:translateX(8px);

}

/* Bullet */

.keahlian ul li::before{

    content:"✔ ";

    color:#2ecc71;

    font-weight:bold;

}

.keahlian ul li:hover::before{

    color:#fff;

}

/* ==========================
FOTO PADA TENTANG
========================== */

.about-image{

    display:flex;

    justify-content:center;

    margin-top:35px;

}

.about-img img{

    width:260px;

    border-radius:20px;

    border:5px solid white;

    box-shadow:0 10px 25px rgba(0,0,0,.2);

    transition:.4s;

}

.about-image img:hover{

    transform:scale(1.05);

}

/* ==========================
JUDUL
========================== */

#tentang h2{

    text-align:center;

    margin-bottom:35px;

    font-size:40px;

}

.keahlian h3{

    text-align:center;

}
/* Animasi Scroll */

section{
    opacity:0;
    transform:translateY(40px);
    transition:1s;
}

section.show{
    opacity:1;
    transform:translateY(0);
}
/* =========================
ANIMASI
========================= */

@keyframes naikTurun{
    0%{
        transform:translateY(0);
    }
    50%{
        transform:translateY(-18px);
    }
    100%{
        transform:translateY(0);
    }
}

@keyframes goyang{
    0%{
        transform:rotate(0deg);
    }
    25%{
        transform:rotate(3deg);
    }
    50%{
        transform:rotate(0deg);
    }
    75%{
        transform:rotate(-3deg);
    }
    100%{
        transform:rotate(0deg);
    }
}

@keyframes zoom{
    0%{
        transform:scale(1);
    }
    50%{
        transform:scale(1.08);
    }
    100%{
        transform:scale(1);
    }
}

@keyframes warna{
    0%{
        color:#3b82f6;
    }

    50%{
        color:#7c3aed;
    }

    100%{
        color:#3b82f6;
    }
}

@keyframes gradient{
    0%{
        background-position:0% 50%;
    }

    50%{
        background-position:100% 50%;
    }

    100%{
        background-position:0% 50%;
    }
}

/* Hero */

.hero-img img{
    animation:naikTurun 4s infinite;
}

.hero h1{
    animation:warna 3s infinite;
}

.hero h2{
    animation:goyang 5s infinite;
}

/* Tombol */

.btn{
    animation:zoom 2s infinite;
}

/* Card */

.card{
    transition:.4s;
}

.card:hover{

    transform:translateY(-12px) scale(1.08) rotate(3deg);

    background:#dbeafe;

}

/* Project */

.project-box:hover{

    transform:scale(1.03);

}

/* Foto */

img{

    transition:.5s;

}

img:hover{

    transform:rotate(4deg) scale(1.08);

}

/* Background */

body{

background:linear-gradient(-45deg,#dff8ff,#bfefff,#dff8ff,#b7d8ff);

background-size:400% 400%;

animation:gradient 12s ease infinite;

}

/* Judul */

h2{

animation:warna 4s infinite;

}

/* Contact */

.contact-box{

animation:zoom 4s infinite;

}
/* Bubble */

.bubble{

position:fixed;

bottom:-30px;

width:20px;

height:20px;

background:rgba(255, 255, 255, 0.6);

border-radius:50%;

pointer-events:none;

animation:bubbleUp linear;

z-index:-1;

}

@keyframes bubbleUp{

0%{

transform:translateY(0) scale(0);

opacity:1;

}

100%{

transform:translateY(-110vh) scale(2);

opacity:0;

}

}
.project-img{
    width:100%;
    max-width:500px;
    display:block;
    margin:0 auto 20px;
    border-radius:15px;
    box-shadow:0 8px 20px rgba(0,0,0,.2);
    transition:0.5s;
}

.project-img:hover{
    transform:scale(1.05);
}
/* =====================
PROJECT CARD
===================== */

.project{
    text-align:center;
}

.project h2{
    font-size:40px;
    color:#2456d3;
    margin-bottom:40px;
}

.project-container{

    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:30px;

}

.project-card{

    width:320px;

    background:white;

    border-radius:20px;

    overflow:hidden;

    box-shadow:0 10px 25px rgba(0,0,0,.15);

    transition:.4s;

}

.project-card:hover{

    transform:translateY(-12px) scale(1.03);

}

.project-card img{

    width:100%;

    height:200px;

    object-fit:cover;

}

.project-content{

    padding:20px;

}

.project-content h3{

    color:#2456d3;

    margin-bottom:10px;

}

.project-content p{

    margin-bottom:20px;

    text-align:justify;

}

.project-btn{

display:inline-block;

padding:12px 25px;

background:#3b82f6;

color:white;

text-decoration:none;

border-radius:30px;

transition:.3s;

}

.project-btn:hover{

background:#2456d3;

}
